[PATCH v1 02/11] selftests: forwarding: gre_custom_multipath_hash.sh: add cleanup for SIGTERM sent by timeout

From: Mirsad Todorovac
Date: Fri Jul 21 2023 - 20:37:23 EST


Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.

Fixes: 185b0c190bb6d ("selftests: forwarding: Add test for custom multipath hash with IPv4 GRE")
Cc: Ido Schimmel <idosch@xxxxxxxxxx>
Cc: netdev@xxxxxxxxxxxxxxx
---
.../selftests/net/forwarding/gre_custom_multipath_hash.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/forwarding/gre_custom_multipath_hash.sh b/tools/testing/selftests/net/forwarding/gre_custom_multipath_hash.sh
index 0446db9c6f74..ca24dbed3bdf 100755
--- a/tools/testing/selftests/net/forwarding/gre_custom_multipath_hash.sh
+++ b/tools/testing/selftests/net/forwarding/gre_custom_multipath_hash.sh
@@ -455,7 +455,7 @@ custom_hash()
sysctl_restore net.ipv4.fib_multipath_hash_policy
}

-trap cleanup EXIT
+trap cleanup INT TERM EXIT

setup_prepare
setup_wait
--
2.34.1